#ifndef ROLLBACK_H
#define ROLLBACK_H

#include <QThread>
#include <QPointer>
#include <QSemaphore>

class QSqlDatabase;
class QSqlQuery;

class RollBack : public QThread
{
    Q_OBJECT
public:
    RollBack(QObject *parent = 0);
    ~RollBack();

    void RollWiteQuery(QSqlDatabase &_db, QSqlQuery &query);

    void run();

private:
    //FMPDataBase *_db;
    QSemaphore _spr;
};

#endif // ROLLBACK_H
